Package org.apache.wiki.filters

# Class PingWeblogsComFilter

java.lang.Object
org.apache.wiki.api.filters.BasePageFilter
org.apache.wiki.filters.PingWeblogsComFilter

All Implemented Interfaces:
  `org.apache.wiki.api.filters.PageFilter`

public class PingWeblogsComFilter extends org.apache.wiki.api.filters.BasePageFilter
A very dumb class that pings weblogs.com on each save. INTERNAL USE ONLY SO FAR! Look, but don't use as-is.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROP_PINGURL`
The property name for the URL to ping.

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

## Constructor Summary

Constructors
Constructor
Description
`PingWeblogsComFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.apache.wiki.api.core.Engine engine, Properties props)`
`void`
`postSave(org.apache.wiki.api.core.Context context, String pagecontent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postTranslate, preSave, preTranslate`

## Field Details

### PROP_PINGURL

public static final String PROP_PINGURL
The property name for the URL to ping. Value is `"pingurl"`.

See Also:
  - Constant Field Values

## Constructor Details

### PingWeblogsComFilter

public PingWeblogsComFilter()

## Method Details

### initialize

public void initialize(org.apache.wiki.api.core.Engine engine, Properties props)

Specified by:
  `initialize` in interface `org.apache.wiki.api.filters.PageFilter`
Overrides:
  `initialize` in class `org.apache.wiki.api.filters.BasePageFilter`

### postSave

public void postSave(org.apache.wiki.api.core.Context context, String pagecontent)